Description

In 3.0.0 there seems to be no way to give additional commands in the GDALWarpOptions family using the GUI. Creation options can be

added via advanced parameters, but not warp options. In 2.XX, the menu bar tools had an editable console

History

#1 - 2018-03-07 10:50 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

The tools are now all in the Processing toolbox. There is another ticket about letting the GDAL/OGR commands be editable how it was in QGIS GDAL

tools.

#2 - 2018-03-08 11:52 AM - Brett Hankerson

I realize this isn't a help forum, but if your answer could be a little more helpful, I'd greatly appreciate it. I cannot find any tool in the processing toolbox that

allows the input of additional warp options (through the gui or by editable commands). For example, I wish to add the command "-wo

CUTLINE_ALL_TOUCHED=TRUE". How can I do that? Thank you for your time

#3 - 2018-03-08 01:09 PM - Giovanni Manghi

Brett Hankerson wrote:

I realize this isn't a help forum, but if your answer could be a little more helpful, I'd greatly appreciate it. I cannot find any tool in the processing

toolbox that allows the input of additional warp options (through the gui or by editable commands). For example, I wish to add the command "-wo

CUTLINE_ALL_TOUCHED=TRUE".

there is not, this is why there is a ticket asking to restore this functionality we had in "gdal tools" also for the gdal based tools in the Processing toolbox.

Cheers!.

#4 - 2018-03-08 02:53 PM - Brett Hankerson

- File creation parameters.PNG added

Ok, thank you! Yes, I've seen that ticket, but it is labeled "rejected" & "duplicate" (if we are both talking about the same ticket, #15090), or there is ticket

#11323, which has been "in progress" since Jan 2016.

I propose something different than either of those tickets (though only slightly, and with no change in the end result). In keeping with the goal of
user-friendliness, why not add another box of "additional warp parameters" under "Advanced parameters", in exactly the same way that "additional creation

parameters [optional]" are available?

#5 - 2018-03-08 03:37 PM - Giovanni Manghi

Brett Hankerson wrote:

Ok, thank you! Yes, I've seen that ticket, but it is labeled "rejected" & "duplicate" (if we are both talking about the same ticket, #15090), or there is

ticket #11323, which has been "in progress" since Jan 2016.

I propose something different than either of those tickets (though only slightly, and with no change in the end result). In keeping with the goal of

user-friendliness, why not add another box of "additional warp parameters" under "Advanced parameters", in exactly the same way that "additional

creation parameters [optional]" are available?

this I would be probably be able to do. Add a feature request. Thanks.
